#include	<stdio.h>

#include	"zlibio.h"


int		main( int argc, char *argv[] )
{
	int		ret, mode = 'c';

	if ( argc != 4 )
	{
		fprintf( stderr, "Usage: %s [cd] INPUT OUTPUT\n", argv[0] );
		return	1;
	}

	if ( argv[1][0] == 'c' )
		mode = 'c';
	else if ( argv[1][0] == 'd' )
		mode = 'd';
	else
	{
		fprintf( stderr, "Usage: %s [cd] INPUT OUTPUT\n", argv[0] );
		return	1;
	}

	if ( mode == 'c' )
	{
		if ( ( ret = ZIO_Compress( argv[2], argv[3] ) ) != ZIO_OK )
			fprintf( stderr, "zio_compress(): %d\n", ret );
	}
	else
	{
		if ( ( ret = ZIO_Decompress( argv[2], argv[3] ) ) != ZIO_OK )
			fprintf( stderr, "zio_decompress(): %d\n", ret );
	}

	return	ret;
}
